apiVersion: kafka.strimzi.io/v1beta2
kind: Kafka
metadata:
  annotations:
    strimzi.io/pause-reconciliation: "true"
  creationTimestamp: "2024-07-19T09:44:01Z"
  generation: 2
  name: my-cluster
  namespace: streams
  resourceVersion: "528049"
  uid: a9ffc7fe-09b6-4ae9-b201-f719b22e928f
spec:
  clientsCa:
    generateCertificateAuthority: false
  clusterCa:
    generateCertificateAuthority: false
  entityOperator:
    topicOperator: {}
    userOperator: {}
  kafka:
    config:
      default.replication.factor: 3
      inter.broker.protocol.version: "3.7"
      min.insync.replicas: 2
      offsets.topic.replication.factor: 3
      transaction.state.log.min.isr: 2
      transaction.state.log.replication.factor: 3
    listeners:
    - name: plain
      port: 9092
      tls: false
      type: internal
    - name: tls
      port: 9093
      tls: true
      type: internal
    replicas: 3
    storage:
      size: 10Gi
      type: persistent-claim
    version: 3.7.0
  zookeeper:
    replicas: 3
    storage:
      size: 1Gi
      type: persistent-claim
status:
  clusterId: lIPAIVb1T0eCc_okoSwkmg
  conditions:
  - lastTransitionTime: "2024-07-19T11:50:35.594029770Z"
    status: "True"
    type: ReconciliationPaused
  observedGeneration: 1
